import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLConnection;
import java.nio.charset.Charset;

public class getDataFromUrl {

	String data;

	getDataFromUrl(String pageUrl, String[] headers) {

		StringBuilder sb = new StringBuilder();
		URLConnection urlConn = null;
		InputStreamReader in = null;

		int c = 0;
		String key = "";
		String value = "";

		try {
			URL getUrl = new URL(pageUrl);
			urlConn = getUrl.openConnection();
			for (String header : headers) {
				if (c % 2 == 0)
					key = header;
				else {
					value = header;
					urlConn.addRequestProperty(key, value);
				}
				c++;
			}
			if (urlConn != null)
				urlConn.setReadTimeout(60 * 1000);
			if (urlConn != null && urlConn.getInputStream() != null) {
				in = new InputStreamReader(urlConn.getInputStream(),
						Charset.defaultCharset());
				BufferedReader bufferedReader = new BufferedReader(in);
				if (bufferedReader != null) {
					int cp;
					while ((cp = bufferedReader.read()) != -1) {
						sb.append((char) cp);
					}
					bufferedReader.close();
				}
			}
			in.close();
		} catch (Exception e) {
			throw new RuntimeException("Exception getDataFromUrl:" + pageUrl, e);
		}

		data = sb.toString();

	}
}